Bug 142167 - [RHEL4][Diskdump] smp_call_function issue
[RHEL4][Diskdump] smp_call_function issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netdump (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tatsuo Uchida
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 14:43 EST by Yuuichi Nagahama
Modified: 2007-11-30 17:07 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 11:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ppc64 support for dump_smp_call_function(), v1 (6.06 KB, patch)
2004-12-15 14:36 EST, Daniel Stekloff
no flags Details | Diff
dump_smp_call_function(i386 and x86-64 ) (10.74 KB, patch)
2005-01-21 06:47 EST, Kazuko Kimura
no flags Details | Diff

  None (edit)
Description Yuuichi Nagahama 2004-12-07 14:43:17 EST
Description of problem:
When panic occurs, diskdump stalls before printing any messages on 
console.
RHEL4 has the same issue as BZ#138815.

Version-Release number of selected component (if applicable):
RHEL4 Beta2

How reproducible: Sometimes

Steps to Reproduce:
1. Set up diskdump with dump device on megaraid2.o
2. Put I/O load on the disk in which dump device is included
3. Crash kernel by SysRq+c
  
Actual results:After oops message, no diskdump related message
is printed on console.



Expected results:The message below follows oops message:
 CPU frozen: #0#1#2#3
 CPU#0 is executing diskdump.
 start dumping
 check dump partition
 ...



Additional info:
Comment 1 Daniel Stekloff 2004-12-15 14:36:11 EST
Created attachment 108645 [details]
ppc64 support for dump_smp_call_function(), v1

Here's ppc64 support for the dump_smp_call_function() for RHEL4.
Comment 2 Tim Burke 2005-01-18 14:29:00 EST
Comments from meeting we are having with the Fujitsu team:  Tatsu is currently
working on a RHEL3 based resolution to this problem. Pending successful review
there, he will port to RHEL4.
Comment 3 Kazuko Kimura 2005-01-21 06:47:13 EST
Created attachment 110047 [details]
dump_smp_call_function(i386 and x86-64 )

This patch is for i386 and x86-64 for dump_smp_call_function(), v3.
Comment 4 Tatsuo Uchida 2005-02-03 14:55:34 EST
The patches were posted to rhkernel-list.
Comment 5 Yuuichi Nagahama 2005-03-03 15:53:20 EST
The all of patches Tatsuo posted are incorporated in 2.6.9-6.18.EL on 3/3.
Comment 6 Tim Powers 2005-06-08 11:13:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html

Note You need to log in before you can comment on or make changes to this bug.